# CartographicGeocoderService

#### new Cesium.CartographicGeocoderService()
Core/CartographicGeocoderService.js 12

Geocodes queries containing longitude and latitude coordinates and an optional height. Query format: `longitude latitude (height)` with longitude/latitude in degrees and height in meters.

### Methods

#### geocode(query) → Promise.<Array.<GeocoderService.Result>>
Core/CartographicGeocoderService.js 20

Name | Type | Description
--- | --- | ---
`query` | String | The query to be sent to the geocoder service

##### Returns: